%global extdir          %{_datadir}/gnome-shell/extensions/dash-to-panel@jderose9.github.com
%global gschemadir      %{_datadir}/glib-2.0/schemas

%global giturl          https://github.com/home-sweet-gnome/dash-to-panel
%global commit          be8214d1789fb08d98113762da2bc03e6b13c596
%global commit_short    %%(c=%%{commit}; echo ${c:0:7})
%global commit_date     20230404

Name:           gnome-shell-extension-dash-to-panel
%if 0%{?commit:1}
Version:        20230404gbe8214d
%else
Version:        9999
%endif
Release:        1%{?dist}
Summary:        An integrated icon taskbar and status panel for gnome shell

License:        GPLv2+
URL:            https://github.com/home-sweet-gnome/dash-to-panel
%if 0%{?commit:1}
Source0:        %{giturl}/archive/%{commit}.tar.gz
%else
Source0:        %{giturl}/arcive/v%{version}.tar.gz
%endif

BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  git
BuildRequires:  make
#BuildRequires:  sassc
BuildRequires:  %{_bindir}/glib-compile-schemas

Requires:       gnome-shell-extension-common
%if 0%{?fedora}
Requires:       libdbusmenu-gtk3
%endif

%description
An icon taskbar for the Gnome Shell. This extension moves the dash into the
gnome main panel so that the application launchers and system tray are combined
into a single panel, similar to that found in KDE Plasma and Windows 7+.
A separate dock is no longer needed for easy access to running and favorited
applications.

%prep
%if 0%{?commit:1}
%autosetup -n dash-to-panel-%{commit} -p 0
%else
%autosetup -n dash-to-panel-v%{version} -p 0
%endif

%build
%make_build

%install
%make_install
%{_bindir}/mkdir -p %{buildroot}%{gschemadir} %{buildroot}%{_datadir}/locale %{buildroot}%{_sysconfdir}/dconf/db/local.d
%{_bindir}/install -m 644 %{buildroot}%{extdir}/schemas/*gschema.xml %{buildroot}%{gschemadir}
cat <<EOF | tee %{buildroot}%{_sysconfdir}/dconf/db/local.d/00-dash-to-panel
[org/gnome/shell/extensions/dash-to-panel]
dot-style-unfocused='DASHES'
hide-overview-on-startup=true
multi-monitors=false
panel-positions='{"0":"BOTTOM","1":"BOTTOM","2":"BOTTOM"}'
panel-element-positions='{"0":[{"element":"showAppsButton","visible":true,"position":"stackedTL"},{"element":"activitiesButton","visible":false,"position":"stackedTL"},{"element":"leftBox","visible":false,"position":"stackedTL"},{"element":"taskbar","visible":true,"position":"stackedTL"},{"element":"rightBox","visible":true,"position":"stackedBR"},{"element":"centerBox","visible":true,"position":"stackedBR"},{"element":"dateMenu","visible":true,"position":"stackedBR"},{"element":"systemMenu","visible":true,"position":"stackedBR"},{"element":"desktopButton","visible":true,"position":"stackedBR"}],"1":[{"element":"showAppsButton","visible":true,"position":"stackedTL"},{"element":"activitiesButton","visible":false,"position":"stackedTL"},{"element":"leftBox","visible":false,"position":"stackedTL"},{"element":"taskbar","visible":true,"position":"stackedTL"},{"element":"rightBox","visible":true,"position":"stackedBR"},{"element":"centerBox","visible":true,"position":"stackedBR"},{"element":"dateMenu","visible":true,"position":"stackedBR"},{"element":"systemMenu","visible":true,"position":"stackedBR"},{"element":"desktopButton","visible":true,"position":"stackedBR"}],"2":[{"element":"showAppsButton","visible":true,"position":"stackedTL"},{"element":"activitiesButton","visible":false,"position":"stackedTL"},{"element":"leftBox","visible":false,"position":"stackedTL"},{"element":"taskbar","visible":true,"position":"stackedTL"},{"element":"rightBox","visible":true,"position":"stackedBR"},{"element":"centerBox","visible":true,"position":"stackedBR"},{"element":"dateMenu","visible":true,"position":"stackedBR"},{"element":"systemMenu","visible":true,"position":"stackedBR"},{"element":"desktopButton","visible":true,"position":"stackedBR"}]}'
show-apps-icon-file='/usr/share/icons/hicolor/scalable/apps/start-here.svg'
trans-dynamic-anim-target=1.0
trans-panel-opacity=0.6
trans-use-custom-opacity=true
trans-use-dynamic-opacity=true
taskbar-locked=true
EOF
%{_bindir}/mv -f %{buildroot}%{extdir}/locale %{buildroot}%{_datadir}/
%{__rm} -fr %{buildroot}%{extdir}/{COPYING*,README*,locale,schemas}

%if 0%{?rhel} && 0%{?rhel} <= 7
%postun
if [ $1 -eq 0 ] ; then
  %{_bindir}/glib-compile-schemas %{gschemadir} &> /dev/null || :
  %{_bindir}/dconf update &> /dev/null || :
fi

%posttrans
%{_bindir}/glib-compile-schemas %{gschemadir} &> /dev/null || :
%{_bindir}/dconf update &> /dev/null || :
%else
%postun
if [ $1 -eq 0 ] ; then
  %{_bindir}/dconf update &> /dev/null || :
fi

%posttrans
%{_bindir}/dconf update &> /dev/null || :
%endif

%files
%license COPYING
%doc README.md
%{_sysconfdir}/dconf
%{extdir}
%{gschemadir}/*gschema.xml
%{_datadir}/locale

%changelog
* Wed Apr 19 2023 Astrawan Wayan <astrawan@icloud.com> - 20230404gbe8214d-1
- Bump version 20230404gbe8214d
* Sat Nov 12 2022 Astrawan Wayan <astrawan@icloud.com> - 52-1
- Initial import
